/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl.xml;

/**
 * A class defining the constants for the tag names and attribute names in the xml files.
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
class XmlConstants {
    /**
     * The name of the document usage tag.
     */
    static final String DOCUMENT_USAGE_TAG_NAME = "document-usage";

    /**
     * The name of the document id attribute.
     */
    static final String DOCUMENT_ID_ATTR_NAME = "document-id";

    /**
     * The name of the usage count attribute.
     */
    static final String USAGE_COUNT_ATTR_NAME = "usage-count";

    /**
     * The name of the collection inclusion tag.
     */
    static final String COLLECTION_INCLUSION_TAG_NAME = "collection-inclusion";

    /**
     * The name of the collection tag.
     */
    static final String COLLECTION_TAG_NAME = "collection";

    /**
     * The name of the document collection tag.
     */
    static final String DOCUMENT_COLLECTION_TAG_NAME = "document-collection";

    /**
     * The name of the collection id attribute.
     */
    static final String COLLECTION_ID_ATTR_NAME = "collection-id";

    /**
     * The name of the documents tag.
     */
    static final String DOCUMENTS_TAG_NAME = "documents";

    /**
     * The name of the document id tag.
     */
    static final String DOCUMENT_ID_TAG_NAME = "document-id";

    /**
     * The name of the doc tag.
     */
    static final String DOC_TAG_NAME = "doc";

    /**
     * The name of the xml language attribute.
     */
    static final String XML_LANG_ATTR_NAME = "xml:lang";

    /**
     * The name of the document index tag.
     */
    static final String DOCUMENT_INDEX_TAG_NAME = "document-index";

    /**
     * The name of the word source data tag.
     */
    static final String WORD_SOURCE_DATA_TAG_NAME = "word-source-data";

    /**
     * The name of the source identity tag.
     */
    static final String SOURCE_IDENTITY_TAG_NAME = "source-identity";

    /**
     * The name of the class name tag.
     */
    static final String CLASS_NAME_TAG_NAME = "class-name";

    /**
     * The name of the locale tag.
     */
    static final String LOCALE_TAG_NAME = "locale";

    /**
     * The name of the language attribute.
     */
    static final String LANGUAGE_ATTR_NAME = "language";

    /**
     * The name of the country attribute.
     */
    static final String COUNTRY_ATTR_NAME = "country";

    /**
     * The name of the variant attribute.
     */
    static final String VARIANT_ATTR_NAME = "variant";

    /**
     * The name of the delimiters tag.
     */
    static final String DELIMITERS_TAG_NAME = "delimiters";

    /**
     * The name of the entry tag.
     */
    static final String ENTRY_TAG_NAME = "entry";

    /**
     * The name of the delimiter attribute.
     */
    static final String DELIMITER_ATTR_NAME = "delimiter";

    /**
     * The name of the word index tag.
     */
    static final String WORD_INDEX_TAG_NAME = "word-index";

    /**
     * The name of the word tag.
     */
    static final String WORD_TAG_NAME = "word";

    /**
     * The name of the word position tag.
     */
    static final String POS_TAG_NAME = "pos";

    /**
     * Private constructor to prevent outside instantiation.
     */
    private XmlConstants() {
    }
}
